Skip to navigation

List attributes

Returns every attribute in the project. Use the filters to narrow the list.

Authentication

AuthorizationBearer

Your Chattermill API key, from Settings > API in the Chattermill app.

Path parameters

projectstringRequired

Your project’s key, from List projects.

Query parameters

searchablebooleanOptional

Filter by searchable (true / false). Default: absent (to get all attributes)

meta_fieldbooleanOptional

Filter by meta field (true / false). Default: absent (to get all attributes)

typestringOptional

Filter by type (text, number, date, boolean). Default: absent (to get all attributes)

Response

Attribute response collection
attributeslist of objectsOptional

Errors

401
Unauthorized Error